util/wrap.pl: do not look at EXE_SHELL
authorRichard Levitte <levitte@openssl.org>
Thu, 5 Mar 2020 13:14:09 +0000 (14:14 +0100)
committerRichard Levitte <levitte@openssl.org>
Mon, 9 Mar 2020 09:45:42 +0000 (10:45 +0100)
Acting on EXE_SHELL was a bit over the top, especially in light of
instructions like this (from NOTES.VALGRIND):

    EXE_SHELL="`/bin/pwd`/util/wrap.pl valgrind --error-exitcode=1 --leak-check=full -q"

Fixes #11255

Reviewed-by: Nicola Tuveri <nic.tuv@gmail.com>
Reviewed-by: Tomas Mraz <tmraz@fedoraproject.org>
(Merged from https://github.com/openssl/openssl/pull/11258)

util/wrap.pl

index 1c3b4e7..4c3d471 100755 (executable)
@@ -19,11 +19,7 @@ $ENV{OPENSSL_MODULES} = $std_providers
 my $use_system = 0;
 my @cmd;
 
-if (($ENV{EXE_SHELL} // '') ne '') {
-    # We don't know what $ENV{EXE_SHELL} contains, so we must use the one
-    # string form to ensure that exec invokes a shell as needed.
-    @cmd = ( join(' ', $ENV{EXE_SHELL}, @ARGV) );
-} elsif (-x $unix_shlib_wrap) {
+if (-x $unix_shlib_wrap) {
     @cmd = ( $unix_shlib_wrap, @ARGV );
 } else {
     # Hope for the best